## tcpserversrc tcpserversrc — Receive data as a server over the network via TCP |

## Synopsis

    struct              GstTCPServerSrc;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSrc
                               +----GstPushSrc
                                     +----GstTCPServerSrc

## Properties

      "host"                     gchar*                : Read / Write
      "port"                     gint                  : Read / Write
      "protocol"                 GstTCPProtocol        : Read / Write
      "current-port"             gint                  : Read

## Description

### Example launch line

    1
    2
    3
    4
    # server:
    gst-launch tcpserversrc port=3000 ! fdsink fd=2
    # client:
    gst-launch fdsrc fd=1 ! tcpclientsink port=3000

## Synopsis

### Element Information

plugin | tcp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | Source/Network

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstTCPServerSrc

    struct GstTCPServerSrc;

## Property Details

### The `"host"` property

      "host"                     gchar*                : Read / Write

The hostname to listen as.

Default value: NULL

### The `"port"` property

      "port"                     gint                  : Read / Write

The port to listen to (0=random available port).

Allowed values: [0,65535]

Default value: 4953

### The `"protocol"` property

      "protocol"                 GstTCPProtocol        : Read / Write

The protocol to wrap data in.

Default value: GST_TCP_PROTOCOL_NONE

### The `"current-port"` property

      "current-port"             gint                  : Read

The port number the socket is currently bound to. Applications can use this property to retrieve the port number actually bound to in case the port requested was 0 (=allocate a random available port).

Allowed values: [0,65535]

Default value: 0

Since 1.0.2

## See Also

tcpserversink